Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004651OCamlOCamlbuild (the tool)public2008-11-26 09:262010-07-22 11:42
Reporterdbuenzli 
Assigned Toertai 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.11.0+beta 
Target VersionFixed in Version3.12.0+beta1 or 3.12.0+rc1 
Summary0004651: Add a %.cmxs target for plugins
DescriptionPlease add a %.cmxs target that allows to build a plugin for a module or a library by simply typing

ocamlbuild mymodule.cmxs

Thanks,

Daniel
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005276)
mehdi (reporter)
2010-03-29 15:11

Any news on this?
(0005315)
ertai (developer)
2010-04-17 18:34

I've just pushed the support for cmxs in ocamlbuild in trunk and the branch 3.11.

Using it should be straightforward but here is a recap of new rules:

* turn a library into a shared one (use -linkall): .cmxa -> .cmxs
* turn a unit into a shared lib: .cmx -> .cmxs
* link a list of units as a shared lib: .mldylib -> .cmxs

The tag "linkall" allows to add the -linkall flag.
All these rules take care of .a/.o/.so as well.
Profiling variants exists as well.

I have made little testing so please test this feature.

- Issue History
Date Modified Username Field Change
2008-11-26 09:26 dbuenzli New Issue
2008-11-28 15:09 xleroy Status new => assigned
2008-11-28 15:09 xleroy Assigned To => ertai
2010-03-29 15:11 mehdi Note Added: 0005276
2010-04-17 18:34 ertai Note Added: 0005315
2010-04-17 18:35 ertai Resolution open => fixed
2010-07-22 11:42 ertai Status assigned => closed
2010-07-22 11:42 ertai Fixed in Version => 3.12.0+beta1
2012-02-02 15:17 protz Category OCamlbuild => OCamlbuild (the tool)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker